#!/bin/bash

#### Variables
APT_UPDATE="apt -y update"
APT_INST="apt -y install"
APT_PURGE="apt -y purge"
APT_REMOVE="apt -y autoremove"

PKG_NAME="element-desktop"

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true; do
        read -rN1 input
        case $input in
        [yY][eE][sS] | [yY])
            return 0

            break
            ;;
        [nN][oO] | [nN])
            return 1
            ;;
        esac
    done
}

#### Main

check_root

echo -e "\nUpdate apt"
echo "$APT_UPDATE"
$APT_UPDATE

echo -ne "\nYou want to install Element Desktop ($PKG_NAME)? "

if choice 2>/dev/null; then
    echo -ne "\nAdd repository for Element\n"
    $APT_INST apt-transport-https wget
    sudo install -d -m 0755 /etc/apt/keyrings
    wget -q https://packages.element.io/debian/element-io-archive-keyring.gpg -O- | gpg --enarmor > /etc/apt/keyrings/element-io-archive-keyring.asc
    echo "deb [signed-by=/etc/apt/keyrings/element-io-archive-keyring.asc] https://packages.element.io/debian/ default main" | tee /etc/apt/sources.list.d/element-io.list  
    $APT_UPDATE
    echo -ne "\n$APT_INST $PKG_NAME\n"
    $APT_INST $PKG_NAME
fi

echo -ne "\n\n"
