#!/bin/bash

#### Variables
APT_UPDATE="apt -y update"
APT_INST="apt -y install"
APT_PURGE="apt -y purge"
APT_REMOVE="apt -y autoremove"

PKG_FIREFOX="firefox-nightly"

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true; do
        read -rN1 input
        case $input in
        [yY][eE][sS] | [yY])
            return 0

            break
            ;;
        [nN][oO] | [nN])
            return 1
            ;;
        esac
    done
}

#### Main

check_root

echo -e "\nUpdate apt"
echo "$APT_UPDATE"
$APT_UPDATE

echo -ne "\nYou want to install Firefox Nightly ($PKG_FIREFOX)? "

if choice 2>/dev/null; then
    echo -ne "\nAdd repository for Firefox Nightly\n"
    $APT_INST apt-transport-https wget
    sudo install -d -m 0755 /etc/apt/keyrings
    wget -q https://packages.mozilla.org/apt/repo-signing-key.gpg -O- | tee /etc/apt/keyrings/packages.mozilla.org.asc > /dev/null
    gpg -n -q --import --import-options import-show /etc/apt/keyrings/packages.mozilla.org.asc | awk '/pub/{getline; gsub(/^ +| +$/,""); print "\n"$0"\n"}'
    echo "deb [signed-by=/etc/apt/keyrings/packages.mozilla.org.asc] https://packages.mozilla.org/apt mozilla main" | sudo tee -a /etc/apt/sources.list.d/mozilla.list > /dev/null
    $APT_UPDATE
    echo -ne "\n$APT_INST $PKG_FIREFOX\n"
    $APT_INST $PKG_FIREFOX
fi

echo -ne "\n\n"
