#!/bin/bash

#### Variables
APT_INST="apt -y install"
PKG_DEPS=(wget)
URL_SRC="https://global.download.synology.com/download/Utility/SynologyDriveClient/3.2.1-13271/Ubuntu/Installer/x86_64/synology-drive-client-13271.x86_64.deb"

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true
    do
        read -rN1 input
    case $input in
        [yY][eE][sS]|[yY])
        return 0

    break
    ;;
        [nN][oO]|[nN])
        return 1
        ;;
        esac
    done
}



synology-drive_install() {
  echo "* download synology-drive"
  wget --quiet --show-progress "$URL_SRC" -O /tmp/synology-drive-client-13271.x86_64.deb
  
  echo "* install package synology-drive-client-13271.x86_64.deb"
  dpkg -i /tmp/synology-drive-client-13271.x86_64.deb
  
  echo "* installation completed"
}

#### Main

check_root
synology-drive_install