#!/bin/bash

#### Variables
APT_UPDATE="apt -y update"
APT_INST="apt -y install"
APT_PURGE="apt -y purge"
APT_REMOVE="apt -y autoremove"

PKG_KDE_MINIMAL="kde-plasma-desktop plasma-nm"
PKG_KDE_APPS="ark kcalc okular gwenview krita dolphin-plugins kde-spectacle audacious dragonplayer kdenetwork-filesharing samba"
PKG_OFFICE="libreoffice-calc libreoffice-writer libreoffice-draw libreoffice-kf5 aspell-hr hunspell-hr"
PKG_NET="thunderbird net-tools remmina"

PKG_KDE_PURGE="kdeconnect termit zutty"

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true
    do
        read -rN1 input
    case $input in
        [yY][eE][sS]|[yY])
        return 0

    break
    ;;
        [nN][oO]|[nN])
        return 1
        ;;
        esac
    done
}

#### Main

check_root

echo -e "\nUpdate apt"
echo "$APT_UPDATE"
$APT_UPDATE


echo -ne "\nInstall of KDE minimal ($PKG_KDE_MINIMAL)? "
if choice 2>/dev/null; then
    echo -ne "\n$APT_INST $PKG_KDE_MINIMAL\n"
    $APT_INST $PKG_KDE_MINIMAL
fi


echo -ne "\nYou want remove package from KDE minimal ($PKG_KDE_PURGE)? "
if choice 2>/dev/null; then
    echo -ne "\n$APT_PURGE $PKG_KDE_PURGE\n"
    $APT_PURGE $PKG_KDE_PURGE
    echo "$APT_REMOVE"
    $APT_REMOVE
fi

echo -ne "\nYou want to install KDE apps ($PKG_KDE_APPS)? "
if choice 2>/dev/null; then
    echo -ne "\n$APT_INST $PKG_KDE_APPS\n"
    $APT_INST $PKG_KDE_APPS
fi

echo -ne "\nYou want to install office packages ($PKG_OFFICE)? "
if choice 2>/dev/null; then
    echo -ne "\n$APT_INST $PKG_OFFICE\n"
    $APT_INST $PKG_OFFICE
fi

echo -ne "\nYou want to install internet programs ($PKG_NET)? "
if choice 2>/dev/null; then
    echo -ne "\n$APT_INST $PKG_FIREFOX $PKG_NET\n"
    $APT_INST $PKG_FIREFOX $PKG_NET
fi

