#!/bin/bash

#### Variables
APT_INST="apt -y install"

PKG_DEPS=(php)

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true
    do
        read -rN1 input
    case $input in
        [yY][eE][sS]|[yY])
        return 0

    break
    ;;
        [nN][oO]|[nN])
        return 1
        ;;
        esac
    done
}

check_deps_pkg() {
for NAME in "${PKG_DEPS[@]}"
  do  
    dpkg -l $NAME > /dev/null
    CODE=$?
    if ! [ "$CODE" -ne 1 ]; then
      echo -ne "\nInstall $NAME ? "
      if choice 2>/dev/null; then
         echo -ne "\n$APT_INST $NAME\n"
         $APT_INST $NAME
      else
        echo -ne "\n\nAbort install script, package $NAME is required for work $PKG_NAME.\n"
        exit 1;
     fi
    fi
  done
}

composer_install() {
  php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
  php composer-setup.php
  php -r "unlink('composer-setup.php');"
  mv composer.phar /usr/local/bin/composer
}

#### Main

check_root
check_deps_pkg
composer_install
