#!/bin/bash

#### Variables
APT_UPDATE="apt -y update"
APT_INST="apt -y install"
APT_PURGE="apt -y purge"
APT_REMOVE="apt -y autoremove"

PKG_NVIDIA="nvidia-driver"

#### Functions
check_root() {
    if [ "$EUID" -ne 0 ]; then
        echo "Must be root to run $0"
        exit
    fi
}

choice() {
    echo -ne "[y/n]"
    while true
    do
        read -rN1 input
    case $input in
        [yY][eE][sS]|[yY])
        return 0

    break
    ;;
        [nN][oO]|[nN])
        return 1
        ;;
        esac
    done
}

#### Main

check_root

echo -e "\nUpdate apt"
echo "$APT_UPDATE"
$APT_UPDATE

echo -ne "\nYou want to install NVIDIA Proprietary driver ($PKG_NVIDIA)? "
if choice 2>/dev/null; then
    echo -ne "\nAdd support for i386 packages\n"
    dpkg --add-architecture i386
    $APT_UPDATE
    echo -ne "\n$APT_INST $PKG_NVIDIA\n"
    $APT_INST $PKG_NVIDIA
fi
